Bug 211522 - File Deploy page shows wrong 'version on system'
Summary: File Deploy page shows wrong 'version on system'
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site   
(Show other bugs)
Version: rhn500
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhn500h-config-mgmt
TreeView+ depends on / blocked
 
Reported: 2006-10-19 20:05 UTC by Ken Ganong
Modified: 2007-04-18 17:51 UTC (History)
1 user (show)

Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 03:29:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Ganong 2006-10-19 20:05:55 UTC
1. Create a local file
2. deploy the file (and rhn_check)
3. create a new revision
4. deploy the new revision (and rhn_check)
5. go to file deploy page
6. observe 'version on system' is the first deployed, not the latest deployed.

Comment 1 Grant Gainey 2006-10-23 15:53:05 UTC
Query is ordering on rhnaction.earliest_action instead of
rhnserveraction.completion_time.

Comment 2 Grant Gainey 2006-11-09 17:48:36 UTC
Mark as assigned

Comment 3 Grant Gainey 2006-12-11 15:00:53 UTC
Moved to ON_DEV

Comment 4 wes hayutin 2007-01-17 15:36:25 UTC
If the correct revision on the web site is selected when the deploy is
selected.. this works.. however sending the back to dev for investigation.. this
bug may be related to:
Bugzilla Bug 223012: config file deploy steps back one revision when clicking deploy

Comment 5 Grant Gainey 2007-01-31 14:43:38 UTC
Moved from ON_DEV to ON_QA with push #6

Comment 6 wes hayutin 2007-02-02 15:29:09 UTC
This looks good .. 

Comment 7 Brandon Perkins 2007-03-13 03:29:42 UTC
Closed in the rhn500h Release.


Note You need to log in before you can comment on or make changes to this bug.